> ## Documentation Index
> Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status of Video KYC

> Use this API to check the status of a Video KYC (vKYC) request. You can query the request using the **reference_id** (generated by Cashfree) or the **verification_id** (created by you). The response includes the current status, vKYC link, link expiry, and optional Aadhaar and security question details.



## OpenAPI

````yaml get /vkyc
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Liveliness
    description: Operation related to Liveliness.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: BharatOCR
    description: Operations related to BharatOCR.
paths:
  /vkyc:
    get:
      tags:
        - VKYC
      summary: Get status of Video KYC
      description: >-
        Use this API to check the status of a Video KYC (vKYC) request. You can
        query the request using the **reference_id** (generated by Cashfree) or
        the **verification_id** (created by you). The response includes the
        current status, vKYC link, link expiry, and optional Aadhaar and
        security question details.
      operationId: vkyc-get-status
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - $ref: '#/components/parameters/verification_id'
        - $ref: '#/components/parameters/vkyc_request_id'
      responses:
        '200':
          $ref: '#/components/responses/VKYCLinkResponse'
        '400':
          $ref: '#/components/responses/Response400GetStatusVkycLink'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '404':
          $ref: '#/components/responses/ResponseVKYCRequest404'
        '500':
          $ref: '#/components/responses/Response500V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: Send the signature if IP is not whitelisted.
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
    verification_id:
      description: >-
        Unique ID generated by the merchant to identify the verification
        request.
      name: verification_id
      in: query
      required: false
      schema:
        type: string
      example: dksdjkqwjkf
    vkyc_request_id:
      description: Unique ID generated by Cashfree for each Video KYC (vKYC) request.
      name: reference_id
      in: path
      required: true
      schema:
        type: string
      example: ''
  responses:
    VKYCLinkResponse:
      description: >-
        Success response for retrieving the list of information associated with
        the mobile number.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/VKYCLinkResponseSchema'
          examples:
            Success:
              value:
                verification_id: vkyc_verification_id
                reference_id: 1358
                status: RECEIVED
                sub_status: LINK_GENERATED
                vkyc_link: https://forms.cashfree.com/verification/s7ml5i0
                user_id: vkyc_user_id1
                link_expiry: '2024-02-02T00:00:00.000Z'
                aadhaar_details:
                  last_verified_at: '2025-05-06 15:04:05'
                  care_of: 'S/O: Fakkirappa Dollin'
                  dob: 02-02-1995
                  gender: M
                  name: Mallesh Fakkirappa Dollin
                  address_details:
                    country: India
                    dist: Haveri
                    house: Shri Kanaka Nilaya
                    pincode: 581115
                    po: Ranebennur
                    state: Karnataka
                    street: Umashankar Nagar 1st Main 5th Cross
                    subdist: Ranibennur
                    vtc: Ranibennur
                  photo_link: <link where aadhaar image is hosted on merchants end>
    Response400GetStatusVkycLink:
      description: Validation errors for Get status Video KYC Link API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Verification ID Missing:
              $ref: '#/components/examples/VerificationIdMissing'
            Verification ID With Special Chars:
              $ref: '#/components/examples/VerificationIdWithSpecialCharacter'
            Invalid Verification Id:
              value:
                type: validation_error
                code: verification_id_value_invalid
                message: verification ID entered is invalid.
            Verification Id Missing:
              value:
                type: validation_error
                code: verification_id_value_missing
                message: verification_id is missing in the request.
            Invalid VKYC Request Id:
              value:
                type: validation_error
                code: reference_id_value_invalid
                message: reference ID value is invalid.
            VKYC Request Id Missing:
              value:
                type: validation_error
                code: reference_id_value_missing
                message: reference_id is missing in the request.
            Client ID/Client Secret in Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
    ResponseVKYCRequest404:
      description: vkyc request not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            VKYC Reference Id not found:
              value:
                type: validation_error
                code: reference_id_not_found
                message: reference_id does not exist.
            VKYC Verification Id not found:
              value:
                type: validation_error
                code: verification_id_not_found
                message: verification_id does not exist.
    Response500V2:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
  schemas:
    VKYCLinkResponseSchema:
      type: object
      properties:
        verification_id:
          type: string
          description: >-
            It displays the unique ID you created to identify the verification
            request.
          example: test053
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.
          example: 10042
        status:
          type: string
          description: It displays the status of the API request.
          example: RECEIVED
        sub_status:
          type: string
          description: It displays the sub status of the API request.
          example: LINK_GENERATED
        vkyc_link:
          type: string
          description: It displays the URL of the vKYC form to be filled by the user.
          example: https://forms.cashfree.com/verification/M8go0i1k9fvg
        link_expiry:
          type: string
          format: date
          description: The date on which the vKYC link will expire.
          example: '2025-05-30T00:00:00.000Z'
        aadhaar_details:
          type: object
          description: Aadhaar information associated with the user.
          properties:
            last_verified_at:
              type: string
              format: date-time
              description: Timestamp when Aadhaar was last verified.
              example: '2025-05-06T15:04:05.000Z'
            care_of:
              type: string
              description: Care of person.
              example: Jerripothula Koteswrara Rao
            dob:
              type: string
              description: Date of birth.
              example: 02-02-1995
            gender:
              type: string
              description: Gender of the Aadhaar holder.
              example: M
            name:
              type: string
              description: Name as per Aadhaar.
              example: Mallesh Fakkirappa Dollin
            photo_link:
              type: string
              description: URL to the Aadhaar photo.
              example: >-
                https://cf-prod-cfvkyc-user-identity-docs.s3.ap-south-1.amazonaws.com/vkyc/51826/10042/photo-link/photo.jpg
            split_address:
              type: object
              description: Split address as extracted from Aadhaar.
              properties:
                country:
                  type: string
                  example: India
                dist:
                  type: string
                  example: Haveri
                house:
                  type: string
                  example: Shri Kanaka Nilaya
                pincode:
                  type: integer
                  example: 581115
                po:
                  type: string
                  example: Ranebennur
                state:
                  type: string
                  example: Karnataka
                street:
                  type: string
                  example: Umashankar Nagar 1st Main 5th Cross
                subdist:
                  type: string
                  example: Ranibennur
                vtc:
                  type: string
                  example: Ranibennur
        security_questions:
          type: array
          description: List of security questions and answers.
          items:
            type: object
            properties:
              question:
                type: string
                description: Security question asked to the user.
                example: What is your fathers's name ?
              answer:
                type: string
                description: Answer provided by the user.
                example: John
              order:
                type: integer
                description: Order of the security question.
                example: 1
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  examples:
    VerificationIdMissing:
      value:
        type: validation_error
        code: verification_id_missing
        message: verification_id is missing in the request.
    VerificationIdWithSpecialCharacter:
      value:
        type: validation_error
        code: verification_id_value_invalid
        message: >-
          verification_id can include only alphanum, dot, hyphen and
          underscores.
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client ID. You can find your ID in the [Merchant
        Dashboard](https://telr.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://telr.cashfree.com/verificationsuite/developers/api-keys).

````